Cazana

MOT feature set

Analytics derived from a vehicle's MOT history: pass and failure counts, mileage readings and defect trends over time.

GET/mot-feature-set/2.0

Authorization

Query parameters

string
optional

VRM to search (required if `vin` not supplied)

string
optional

VIN to search (required if `vrm` not supplied)

string · date
optional

Filter insights by date - insights will be calculated from results _before_ provided date.

boolean
optional

Only include data for current owner

Query parameters

vrm?string

VRM to search (required if `vin` not supplied)

vin?string

VIN to search (required if `vrm` not supplied)

date?string · date

Filter insights by date - insights will be calculated from results _before_ provided date.

Formatdate
currentOwnerOnly?boolean

Only include data for current owner

Responses

application/json
{
  "make": "Ford",
  "model": "Fiesta",
  "trim": "ST",
  "passed": true,
  "averageAnnualMileage": 19000,
  "averageDangerous": 0,
  "averageMajor": 0,
  "averageMinor": 1,
  "averageAdvisories": 1,
  "averageFailure": 0,
  "averageAnnualFailRate": 0.5,
  "averageFailedPlate": 0.5,
  "totalFailedMots": 0,
  "totalPassedMots": 3,
  "totalMotsWithDangerous": 0,
  "totalMotsWithMajor": 0,
  "totalMotsWithMinor": 2,
  "totalMotsWithAdvisories": 0,
  "totalDangerous": 2,
  "totalMajor": 0,
  "totalMinor": 0,
  "totalFailedPlate": 0,
  "recentDangerous": 0,
  "recentMajor": 0,
  "recentMinor": 0,
  "yearlyMotData": [
    {
      "firstTimePass": true,
      "completedDate": "2022-02-01T15:20:52Z",
      "advisoriesCount": 0,
      "failureCount": 0,
      "plateFailureCount": 0,
      "mileage": 43397,
      "dangerousCount": 0,
      "majorCount": 0,
      "minorCount": 0,
      "failureTrend": 0,
      "advisoriesTrend": -2,
      "mileageSinceLastTest": 19000,
      "failedMotsCount": 0,
      "passedMotsCount": 4355,
      "motsWithMinorCount": 1,
      "motsWithMajorCount": 0,
      "motsWithDangerousCount": 0,
      "motsWithAdvisoriesCount": 0
    }
  ]
}
make?string
model?string
trim?string
passed?boolean
averageAnnualMileage?integer

“Average Annual Mileage” field value is for the whole lifetime of the vehicle. This value is unaffected by “Current Owner Only” field setting.

averageDangerous?number

Can be `0` as an integer

averageMajor?number

Can be `0` as an integer

averageMinor?number

Can be `0` as an integer

averageAdvisories?number

Can be `0` as an integer

averageFailure?number

Can be `0` as an integer

averageAnnualFailRate?number

Can be `0` as an integer

averageFailedPlate?number

Can be `0` as an integer

totalFailedMots?integer
totalPassedMots?integer
totalMotsWithDangerous?integer
totalMotsWithMajor?integer
totalMotsWithMinor?integer
totalMotsWithAdvisories?integer
totalDangerous?integer
totalMajor?integer
totalMinor?integer
totalFailedPlate?integer
recentDangerous?integer
recentMajor?integer
recentMinor?integer
yearlyMotData?

Code samples

curl --request GET \
  --url 'https://api.cazana.com/mot-feature-set/2.0?vrm=AB12CDE&vin=SALGA2BU8HA000000&date=2020-10-31' \
  --header 'Authorization: bearer YOUR_API_KEY'